import tailwindcss from "@tailwindcss/vite";

// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  compatibilityDate: "2024-11-01",
  devtools: { enabled: true },
  modules: ["@nuxt/ui", "@pinia/nuxt"],
  css: ["~/assets/css/main.css"],
  runtimeConfig: {
    public: {
      DifyBaseURL: process.env.DIFY_BASE_URL,
      DifyApiKey: process.env.DIFY_API_KEY,
    },
  },
  vite: {
    plugins: [tailwindcss()],
  },
});