export type VisitorRole = "stu" | "tea" | "fans";

export type LocalMessage = {
  id: string;
  role: "bot" | "user";
  message?: string;
};

export interface IWorkflowResponse {
  task_id: string;
  workflow_run_id: string;
  data: IWorkflowResponseData;
}

export interface IWorkflowResponseData {
  id: string;
  workflow_id: string;
  status: string;
  outputs: IWorkflowInquiryOutputs;
  error: null;
  elapsed_time: number;
  total_tokens: number;
  total_steps: number;
  created_at: number;
  finished_at: number;
}

export interface IWorkflowInquiryOutputs {
  message: string;
}
